Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
External System Field Mappings

List External System Field Mappings

GET
/v1/external-systems/{external_system_id}/field-mappings

Returns a paginated list of external System Field Mappings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

external_system_id*string

Unique identifier of the related external system.

Formatuuid

Query Parameters

entity?string

Filters resources by entity.

field_kind?string

Filters resources by field kind.

enabled?boolean

Filters resources by enabled.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/external-systems/497f6eca-6276-4993-bfeb-53cbbbba6f08/field-mappings"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "external_system_id": "496cacc4-1d36-4900-b9d2-89eefa7ce182",      "entity": "contact",      "field_kind": "native",      "field_key": "string",      "external_field_key": "string",      "enabled": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}